﻿using System;
using System.Collections.Generic;

namespace C1GridSample
{
    public static class SampleData
    {
        static readonly string[] countries =
        {
            "Denmark",
            "Germany",
            "France",
            "Norway",
            "Spain",
            "Sweden"
        };

        static readonly Random random = new Random(12345);

        public static IEnumerable<Person> GetSamplePeople(int count)
        {
            for (var i = 0; i < count; i++)
            {
                var country = countries[random.Next(0, countries.Length - 1)];

                var person = new Person
                {
                    Id = i.ToString(),
                    Name = $"Person #{i}",
                    Country = country
                };

                yield return person;
            }
        }
    }

    public class Person
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string Country { get; set; }
    }
}
